> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/sdkstatus/locationsetting.md).

# LocationSetting

Represents the location mode settings on the device. The location mode indicates which location providers are enabled.

<table><thead><tr><th width="202"></th><th></th></tr></thead><tbody><tr><td>OK</td><td>All location providers are enabled.</td></tr><tr><td>DISABLED</td><td>None of the location providers are enabled.</td></tr><tr><td>BATTERY_SAVING</td><td>In "battery saving" mode, only the network-based location provider is enabled (e.g. wifi, cell towers). The GPS-based location provider is disabled. This is still generally okay for SDK detections.</td></tr><tr><td>DEVICE_ONLY</td><td>In "device only" mode, only the GPS-based network provider is enabled. The network-based location provider is disabled. This is generally not okay for SDK detections, because GPS cannot provide accurate indoor positioning.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/sdkstatus/locationsetting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
